version: '3'

services:
  postgres:
    image: postgres
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: changeme
      PGDATA: /data/postgres
    volumes:
       - datavolume:/data/postgres
    ports:
      - "5432:5432"
    networks:
      - pg
    restart: unless-stopped
  
  pgadmin:
    links:
      - postgres:postgres
    image: thajeztah/pgadmin4
    volumes:
       - datavolume:/root/.pgadmin
    ports:
      - "5050:5050"
    networks:
      - pg
    restart: unless-stopped

volumes:
  datavolume:
    
networks:
  pg:
    driver: bridge
